Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deft.extension.tools.astmodifier
Class ASTModifierInvoker

    java.lang.Object
      org.deft.extension.tools.astmodifier.ASTModifierInvoker

All Implemented Interfaces:
  Invoker

    public class ASTModifierInvoker

extends java.lang.Object
implements Invoker

method - appendAfter, appendBefore, replace, replaceList and changeToComment
location - XPath syntaxchecker - SyntaxCheckerVisitor; optional (NoSyntaxCheckerVisitor)
insert - String;

     FILE+“||“+XPATH

or

     (K_CLASS_BODY_DECLARATIONS |
     K_COMPILATION_UNIT | K_EXPRESSION | K_STATEMENTS)+
     „||“+SOURCECODE|FILE+“||“+XPATH

z.B. K_EXPRESSION||x=3||/Expression; necessary with all but changeToComment
emptyLinesBefore - int; optional (0) necessary with all but changeToComment
emptyLinesAfter - int; optional (0) necessary with all but changeToComment
spacesBefore - int; optional (0) necessary with all but changeToComment
spacesAfter - int; optional (0) necessary with all but changeToComment
width - int; optional (0) only with changeToComment and replaceList
commentType - CommentTypeVisitor; only with changeToComment

Author:
  Martin Heinzerling

Constructor Summary
`ASTModifierInvoker()`

Method Summary
`void` | `invoke(org.deft.repository.ast.TreeNode ast, java.util.Map<java.lang.String,java.lang.String> params)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASTModifierInvoker

    public ASTModifierInvoker()

Method Detail

### invoke

    public void invoke(org.deft.repository.ast.TreeNode ast,
                       java.util.Map<java.lang.String,java.lang.String> params)

  Specified by:
    `invoke` in interface `Invoker`
  Parameters:
    `ast` - root treenode
    `params` - parameter map with the concrete modification

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD